### Virtual Method

# Gtk Accessible get_bounds

since: 4.10

#### Declaration [src]

    gboolean
    get_bounds (
      GtkAccessible* self,
      int* x,
      int* y,
      int* width,
      int* height
    )

#### Description [src]

Queries the coordinates and dimensions of this accessible

This functionality can be overridden by `GtkAccessible` implementations, e.g. to get the bounds from an ignored child widget.

Available since: 4.10

#### Parameters

`x`

  Type: `int*`

  The x coordinate of the top left corner of the accessible.

  The argument will be set by the function.

`y`

  Type: `int*`

  The y coordinate of the top left corner of the widget.

  The argument will be set by the function.

`width`

  Type: `int*`

  The width of the accessible object.

  The argument will be set by the function.

`height`

  Type: `int*`

  The height of the accessible object.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

True if the bounds are valid, and false otherwise.